Patients API
Create a patient
Create a patient in the current workspace.
POST
/v1/patientsRequest
Path, query, and JSON body fields accepted by this operation.
firstNamestringrequiredbodymin length 1max length 80lastNamestringrequiredbodymin length 1max length 80emailstring | nullbodydefault nullphonestring | nullbodydefault nullmin length 5max length 40dateOfBirthstring<date> | nullbodydefault nullnotesstring | nullbodydefault nullmax length 50000
Response
Successful responses use Dawn's data envelope.
dataPatientrequiredidstring<uuid>requiredworkspaceIdstring<uuid>requiredfirstNamestringrequiredmin length 1max length 80lastNamestringrequiredmin length 1max length 80emailstring<email> | nullrequiredphonestring | nullrequiredmin length 5max length 40dateOfBirthstring<date> | nullrequiredstatus"active" | "inactive" | "archived"requirednotesstring | nullrequiredmax length 50000createdAtstring<date-time>requiredupdatedAtstring<date-time>required
metaobject
Errors
Error responses use the shared error envelope.
409The email address is already used by another patient.422The patient details are invalid.503The patient could not be saved.
Last updated on